##
## samba.server
##

if [ ! -d /usr/bin ]
then                    # /usr not mounted
	exit
fi

killproc() {            # kill the named process(es)
	pid=`/usr/bin/ps -e |
	     /usr/bin/grep -w $1 |
	     /usr/bin/sed -e 's/^  *//' -e 's/ .*//'`
	[ &quot;$pid&quot; != &quot;&quot; ] &amp;&amp; kill $pid
}
 
# Start/stop processes required for Samba server

case &quot;$1&quot; in

'start')
#
# Edit these lines to suit your installation (paths, workgroup, host)
#
echo Starting SMBD
   /usr/local/samba/bin/smbd -D -s \
	/usr/local/samba/smb.conf

echo Starting NMBD
   /usr/local/samba/bin/nmbd -D -l \
	/usr/local/samba/var/log -s /usr/local/samba/smb.conf

echo Starting Winbind Daemon
   /usr/local/samba/bin/winbindd
   ;;

'stop')
   killproc nmbd
   killproc smbd
   killproc winbindd
   ;;

*)
   echo &quot;Usage: /etc/init.d/samba.server { start | stop }&quot;
   ;;
esac
